//
// This class contains a recording of the Camera dataset, i.e., a row in the csv file.
//
// @author Pierre Dragicevic
//
class Camera {
  
  String model;
  int releaseDate;
  int price;
  
  // Creates a new camera using the data from the given row in the given table
  Camera(Table table, int row) {
    // Note that we could have used table.getColumnIndex("Model") instead of 0
    // but it would have been slow. A better approach would have been to use
    // getColumnIndex() but call it only once and keep the result in a static variable.
    model = table.get(0, row);
    releaseDate = table.getInt(1, row);
    price = table.getInt(12, row);
  }
  
  // This is what will be printed by print() or println()
  String toString() {
    return "$" + price + " - " + model + " (" + releaseDate + ")";
  }
  
}
